## python-bx 0.8.8

=== doc/requirements.txt ===
https://bitbucket.org/james_taylor/python-lzo-static/get/63987d89fd1b.zip
numpy
six

## python-bx 0.8.1

=== debian/changelog ===
python-bx (0.8.1-2build1) cosmic; urgency=medium

  * No-change rebuild to build for python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 28 Jun 2018 12:36:39 +0000

python-bx (0.8.1-2) unstable; urgency=low

  * Initial release (Closes: #851242)
  * Lintian-overrides for .py suffix for executables
  * Reformatting of debian/{README.Debian,copyright}

 -- Steffen Moeller <moeller@debian.org>  Tue, 12 Jun 2018 07:43:51 +0200

python-bx (0.8.1-1) UNRELEASED; urgency=low

  * New upstream version.
  * Policy compliance with 4.1.4.

 -- Steffen Moeller <moeller@debian.org>  Mon, 11 Jun 2018 00:33:54 +0200

python-bx (0.7.4-1) UNRELEASED; urgency=low

  * Added Michael and Steffen as uploaders
  * Removing generated files from source tree in debian/copyright
  * Added -tools packages to separate command line interface
    from parallel-installable Python 2 and Python 3 modules.

 -- Steffen Moeller <moeller@debian.org>  Fri, 13 Jan 2017 13:25:31 +0100

python-bx (0.7.2+20150623-1) UNRELEASED; urgency=low

  * Initial packaging.
  * debian/watch added by Steffen

 -- Afif Elghraoui <afif@debian.org>  Thu, 14 Jan 2016 20:15:15 -0800

=== debian/control ===
Source: python-bx
Section: python
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Afif Elghraoui <afif@debian.org>, Steffen Moeller <moeller@debian.org>, Michael Crusoe <michael.crusoe@gmail.com>
Build-Depends:
	debhelper (>= 9),
	dh-python,
	zlib1g-dev,
# Python2
	python-setuptools,
	python-all-dev,
	python-nose,
	python-numpy,
	cython,
# Python3
	python3-setuptools,
	python3-all-dev,
	python3-nose,
	python3-numpy,
	cython3
Standards-Version: 4.1.4
Homepage:  https://github.com/bxlab/bx-python
Vcs-Git: https://salsa.debian.org/med-team/python-bx.git
Vcs-Browser: https://salsa.debian.org/med-team/python-bx

Package: python-bx
Architecture: any
Depends:
	${shlibs:Depends},
	${misc:Depends},
	${python:Depends},
Description: library to manage genomic data and its aligment
 The bx-python project is a python library and associated set of scripts to
 allow for rapid implementation of genome scale analyses. The library contains
 a variety of useful modules, but the particular strengths are:
  * Classes for reading and working with genome-scale multiple local
  alignments (in MAF, AXT, and LAV formats)
  * Generic data structure for indexing on disk files that contain blocks of
  data associated with intervals on various sequences (used, for example, to
  provide random access to individual alignments in huge files; optimized for
  use over network filesystems)
  * Data structures for working with intervals on sequences
  * "Binned bitsets" which act just like chromosome sized bit arrays, but
  lazily allocate regions and allow large blocks of all set or all unset bits
  to be stored compactly
  * "Intersecter" for performing fast intersection tests that preserve both
  query and target intervals and associated annotation
 .
 This package provides the Python 2 library.

Package: python3-bx
Architecture: any
Depends:
	${shlibs:Depends},
	${misc:Depends},
	${python3:Depends},
Recommends: python-bx-tools
Description: library to manage genomic data and its alignment
 The bx-python project is a python library and associated set of scripts to
 allow for rapid implementation of genome scale analyses. The library contains
 a variety of useful modules, but the particular strengths are:
  * Classes for reading and working with genome-scale multiple local
  alignments (in MAF, AXT, and LAV formats)
  * Generic data structure for indexing on disk files that contain blocks of
  data associated with intervals on various sequences (used, for example, to
  provide random access to individual alignments in huge files; optimized for
  use over network filesystems)
  * Data structures for working with intervals on sequences
  * "Binned bitsets" which act just like chromosome sized bit arrays, but
  lazily allocate regions and allow large blocks of all set or all unset bits
  to be stored compactly
  * "Intersecter" for performing fast intersection tests that preserve both
  query and target intervals and associated annotation
 .
 This package provides the Python 3 library.

Package: python-bx-tools
Architecture: all
Conflicts: python3-bx-tools
Depends: python-bx, ${misc:Depends}, ${python:Depends}
Description: command line interface to python3-bx
 This package collects all command line tools to access the functionality
 of the python-bx library. All scripts have python3 in their shebang line.

Package: python3-bx-tools
Architecture: all
Conflicts: python-bx-tools
Depends: python3-bx, ${misc:Depends}, ${python3:Depends}
Description: command line interface to python3-bx
 This package collects all command line tools to access the functionality
 of the python-bx library. All scripts have python3 in their shebang line.

## python-bx 0.8.2

=== debian/changelog ===
python-bx (0.8.2-1) unstable; urgency=low

  * New upstream version.
  * Policy compliance with 4.2.1.

 -- Steffen Moeller <moeller@debian.org>  Wed, 17 Oct 2018 12:16:56 +0200

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
 	python3-nose,
 	python3-numpy,
 	cython3
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Homepage:  https://github.com/bxlab/bx-python
 Vcs-Git: https://salsa.debian.org/med-team/python-bx.git
 Vcs-Browser: https://salsa.debian.org/med-team/python-bx

=== debian/rules ===
#!/usr/bin/make -f

#DH_VERBOSE = 1
#include /usr/share/dpkg/default.mk

export LC_ALL=C.UTF-8

export NOSE_VERBOSE=2

export PYBUILD_DESTDIR_python2=debian/python-bx/
#export PYBUILD_DESTDIR_python2-dbg=debian/python-foo-dbg/
export PYBUILD_DESTDIR_python3=debian/python3-bx/
#export PYBUILD_DESTDIR_python3-dbg=debian/python3-foo-dbg/


%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
# C files are generated by Cython
	find -name "*.pyx" | sed 's/pyx$$/c/' | xargs $(RM)
	grep -rli "Generated by Cython" lib/ | xargs -r rm
# Changes perpetually redone
	rm -rf lib/bx_python.egg-info

override_dh_install:
	dh_install --autodest
	dh_install
	mkdir -p $(CURDIR)/debian/python-bx-tools/usr
	mv $(CURDIR)/debian/python-bx/usr/bin $(CURDIR)/debian/python-bx-tools/usr/
	mkdir -p $(CURDIR)/debian/python3-bx-tools/usr
	mv $(CURDIR)/debian/python3-bx/usr/bin $(CURDIR)/debian/python3-bx-tools/usr/

override_dh_auto_test:
	# skipped

=== debian/watch ===
# Compulsory line, this is a version 4 file
version=4
# GitHub hosted projects
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%python-bx-$1.tar.gz%" \
   https://github.com/bxlab/bx-python/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

# PyPI
# https://pypi.debian.net/bx-python/bx-python-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-bx 0.8.6

=== debian/changelog ===
python-bx (0.8.6-2) unstable; urgency=medium

  * Team upload.
  * Add patch for errors on 32 bit systems. Closes: #944409

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 18 Dec 2019 12:23:30 +0100

python-bx (0.8.6-1) unstable; urgency=medium

  * Team upload.

  [ Michael R. Crusoe ]
  * Disable the bx.interval_index_file_tests.test_interval_index_file test on
    i386 Closes: #944409

  [ Andreas Tille ]
  * New upstream version
  * Simplify lintian-override
  * Trim trailing whitespace.
  * debian/copyright: use spaces rather than tabs to start continuation
    lines.
  * Set upstream metadata fields: Bug-Database, Repository, Repository-
    Browse.
  * Enhance description

 -- Andreas Tille <tille@debian.org>  Wed, 18 Dec 2019 09:25:52 +0100

python-bx (0.8.5-1) unstable; urgency=medium

  * New upstream version

 -- Steffen Moeller <moeller@debian.org>  Fri, 08 Nov 2019 19:12:56 +0100

python-bx (0.8.4-2) unstable; urgency=medium

  * Team upload.
  * Breaks: python3-bx-tools
    Closes: #933596
  * debhelper-compat 12
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.4.0
  * Testsuite: autopkgtest-pkg-python
  * Secure URI in copyright format
  * Remove trailing whitespace in debian/copyright
  * Fix license name
  * hardening=+all

 -- Andreas Tille <tille@debian.org>  Thu, 01 Aug 2019 09:55:20 +0200

python-bx (0.8.4-1) unstable; urgency=medium

  * New upstream release. Removed Python2 binary packages; enabled the tests

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 23 Jul 2019 15:10:11 +0200

=== debian/control ===
Source: python-bx
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
           Michael Crusoe <michael.crusoe@gmail.com>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-python,
               zlib1g-dev,
               python3-setuptools,
               python3-all-dev,
               python3-lzo,
               python3-nose,
               python3-numpy,
               python3-six,
               cython3
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/med-team/python-bx
Vcs-Git: https://salsa.debian.org/med-team/python-bx.git
Homepage: https://github.com/bxlab/bx-python

Package: python3-bx
Architecture: any
Depends: python3-lzo,
         ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends}
Breaks: python3-bx-tools
Provides: python3-bx-tools
Replaces: python3-bx-tools
Description: library to manage genomic data and its alignment
 The bx-python project is a Python3 library and associated set of scripts to
 allow for rapid implementation of genome scale analyses. The library contains
 a variety of useful modules, but the particular strengths are:
  * Classes for reading and working with genome-scale multiple local
    alignments (in MAF, AXT, and LAV formats)
  * Generic data structure for indexing on disk files that contain blocks of
    data associated with intervals on various sequences (used, for example, to
    provide random access to individual alignments in huge files; optimized
    for use over network filesystems)
  * Data structures for working with intervals on sequences
  * "Binned bitsets" which act just like chromosome sized bit arrays, but
    lazily allocate regions and allow large blocks of all set or all unset
    bits to be stored compactly
  * "Intersecter" for performing fast intersection tests that preserve both
    query and target intervals and associated annotation

## python-bx 0.8.8

=== debian/changelog ===
python-bx (0.8.8-1build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 09:38:39 +0100

python-bx (0.8.8-1) unstable; urgency=medium

  * Modernize debian/watch
  * New upstream version

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 14 Feb 2020 16:04:46 +0100

python-bx (0.8.7-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 11 Feb 2020 09:59:33 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: python-bx
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Steffen Moeller <moeller@debian.org>,
-           Michael Crusoe <michael.crusoe@gmail.com>
+           Michael R. Crusoe <michael.crusoe@gmail.com>
 Section: python
 Testsuite: autopkgtest-pkg-python
 Priority: optional
@@ -15,7 +15,7 @@
                python3-numpy,
                python3-six,
                cython3
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/python-bx
 Vcs-Git: https://salsa.debian.org/med-team/python-bx.git
 Homepage: https://github.com/bxlab/bx-python

=== debian/rules ===
#!/usr/bin/make -f

#DH_VERBOSE = 1
#include /usr/share/dpkg/default.mk

export LC_ALL=C.UTF-8

export NOSE_VERBOSE=2
export PYBUILD_NAME=bx-python
export PYBUILD_BEFORE_TEST=cp -r {dir}/test_data {build_dir}/

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
# C files are generated by Cython
	find -name "*.pyx" | sed 's/pyx$$/c/' | xargs $(RM)
	grep -rli "Generated by Cython" lib/ | xargs -r rm
# Changes perpetually redone
	rm -rf lib/bx_python.egg-info

=== debian/watch ===
# Compulsory line, this is a version 4 file
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%python-bx-$1.tar.gz%" \
   https://github.com/bxlab/bx-python/releases .*/archive/@ANY_VERSION@@ARCHIVE_EXT@

## python-bx 0.8.9

=== debian/changelog ===
python-bx (0.8.9-1) unstable; urgency=medium

  * New upstream version
  * Fixed d/watch to find the latest version.
  * Fixed Python 2.4 shebang lines
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * No tab in license text (routine-update)
  * Set upstream metadata fields: Bug-Submit.

 -- Steffen Moeller <moeller@debian.org>  Wed, 24 Feb 2021 21:46:03 +0100

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,25 @@
 Source: python-bx
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Steffen Moeller <moeller@debian.org>,
-           Michael R. Crusoe <michael.crusoe@gmail.com>
+           Michael R. Crusoe <crusoe@debian.org>
 Section: python
 Testsuite: autopkgtest-pkg-python
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                zlib1g-dev,
                python3-setuptools,
-               python3-all-dev,
+               python3-all-dev:any,
                python3-lzo,
-               python3-nose,
-               python3-numpy,
+               python3-nose <!nocheck>,
+               python3-numpy <!nocheck>,
                python3-six,
                cython3
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/python-bx
 Vcs-Git: https://salsa.debian.org/med-team/python-bx.git
 Homepage: https://github.com/bxlab/bx-python
+Rules-Requires-Root: no
 
 Package: python3-bx
 Architecture: any

## python-bx 0.8.13

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html web pickle htmlhelp latex changes linkcheck

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  apidoc    to run epydoc" 
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview over all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"

clean:
	-rm -rf docbuild/*

html:
	mkdir -p build/html build/doctrees
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) docbuild/html
	@echo
	@echo "Build finished. The HTML pages are in docbuild/html."

apidoc:
	mkdir -p build/html/apidoc
	epydoc-2.6 --docformat restructuredtext ../lib/bx -o docbuild/html/apidoc
	@echo
	@echo "Epydoc finished. The pages are in docbuild/html/apidoc."


pickle:
	mkdir -p build/pickle build/doctrees
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) docbuild/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

web: pickle

json:
	mkdir -p build/json build/doctrees
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) docbuild/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	mkdir -p build/htmlhelp build/doctrees
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) docbuild/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in build/htmlhelp."

latex:
	mkdir -p build/latex build/doctrees
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) docbuild/latex
	@echo
	@echo "Build finished; the LaTeX files are in build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	mkdir -p build/changes build/doctrees
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) docbuild/changes
	@echo
	@echo "The overview file is in build/changes."

linkcheck:
	mkdir -p build/linkcheck build/doctrees
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) docbuild/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in build/linkcheck/output.txt."

=== doc/requirements.txt ===
https://bitbucket.org/james_taylor/python-lzo-static/get/63987d89fd1b.zip
numpy

=== debian/changelog ===
python-bx (0.8.13-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 23:02:23 +0000

python-bx (0.8.13-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * Build-Depends: s/nose/pytest/

  [ Nilesh Patra ]
  * B-D on python3-pytest-cython
  * Re-diff, Re-enable shebang.patch

 -- Nilesh Patra <nilesh@debian.org>  Fri, 18 Feb 2022 12:05:03 +0530

=== debian/control ===
--- 
+++ 
@@ -11,11 +11,12 @@
                python3-setuptools,
                python3-all-dev:any,
                python3-lzo,
-               python3-nose <!nocheck>,
+               python3-pytest <!nocheck>,
+               python3-pytest-cython <!nocheck>,
                python3-numpy <!nocheck>,
                python3-six,
                cython3
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/python-bx
 Vcs-Git: https://salsa.debian.org/med-team/python-bx.git
 Homepage: https://github.com/bxlab/bx-python

=== debian/rules ===
--- 
+++ 
@@ -21,3 +21,6 @@
 	grep -rli "Generated by Cython" lib/ | xargs -r rm
 # Changes perpetually redone
 	rm -rf lib/bx_python.egg-info
+
+override_dh_python3:
+	dh_python3 --shebang=/usr/bin/python3

## python-bx 0.9.0

=== debian/changelog ===
python-bx (0.9.0-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * New upstream version
  * Build-Depends: s/nose/pytest/
  * Standards-Version: 4.6.1 (routine-update)

  [ Nilesh Patra ]
  * B-D on python3-pytest-cython
  * Re-diff, Re-enable shebang.patch

 -- Nilesh Patra <nilesh@debian.org>  Fri, 18 Feb 2022 12:05:03 +0530

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                python3-numpy <!nocheck>,
                python3-six,
                cython3
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/python-bx
 Vcs-Git: https://salsa.debian.org/med-team/python-bx.git
 Homepage: https://github.com/bxlab/bx-python

## python-bx 0.11.0

=== debian/changelog ===
python-bx (0.11.0-4) unstable; urgency=medium

  * Team upload.
  * Fix import statement s/cookbook/bx.cookbook/
  * Psyco is only available for Python <= 2.6
    Closes: #1068996
  * Standards-Version: 4.7.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 15 Apr 2024 10:11:31 +0200

python-bx (0.11.0-3) unstable; urgency=medium

  * Added patch to correct an include. Closes: #1066569

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 14 Mar 2024 12:40:18 +0100

python-bx (0.11.0-2) unstable; urgency=medium

  * d/rules: use dh_numpy3 to inject a dependency on the appropriate
    numpy ABI.
  * mark the fix_BIN_OFFSETS_MAX patch as being forwarded upstream.
  * d/control: switch to pyproject based building.
  * d/patches/pytest8: add pytest 8.x compatability.
  * d/control: use pybuild-autopkgtest to provide non-superficial autopkgtests

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 27 Feb 2024 18:54:18 +0100

python-bx (0.11.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Remove python3-six from build-dependencies

 -- Alexandre Detiste <tchet@debian.org>  Sat, 24 Feb 2024 12:22:38 +0100

python-bx (0.10.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 10 Nov 2023 15:13:00 +0100

=== debian/control ===
--- 
+++ 
@@ -3,20 +3,20 @@
 Uploaders: Steffen Moeller <moeller@debian.org>,
            Michael R. Crusoe <crusoe@debian.org>
 Section: python
-Testsuite: autopkgtest-pkg-python
+Testsuite: autopkgtest-pkg-pybuild
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                zlib1g-dev,
                python3-setuptools,
+               pybuild-plugin-pyproject,
                python3-all-dev:any,
                python3-lzo,
                python3-pytest <!nocheck>,
                python3-pytest-cython <!nocheck>,
                python3-numpy <!nocheck>,
-               python3-six,
                cython3
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/python-bx
 Vcs-Git: https://salsa.debian.org/med-team/python-bx.git
 Homepage: https://github.com/bxlab/bx-python
@@ -28,9 +28,7 @@
          ${shlibs:Depends},
          ${misc:Depends},
          ${python3:Depends}
-Breaks: python3-bx-tools
 Provides: python3-bx-tools
-Replaces: python3-bx-tools
 Description: library to manage genomic data and its alignment
  The bx-python project is a Python3 library and associated set of scripts to
  allow for rapid implementation of genome scale analyses. The library contains

=== debian/rules ===
--- 
+++ 
@@ -7,12 +7,12 @@
 
 export NOSE_VERBOSE=2
 export PYBUILD_NAME=bx-python
-export PYBUILD_BEFORE_TEST=cp -r {dir}/test_data {build_dir}/
-
+export PYBUILD_BEFORE_TEST=export PYTHONPATH={install_dir} ; cp -r {dir}/test_data {build_dir}/
+export PYBUILD_AFTER_TEST=rm -Rf {build_dir}/test_data
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -22,5 +22,13 @@
 # Changes perpetually redone
 	rm -rf lib/bx_python.egg-info
 
+before-pybuild-autopkgtest:
+	find lib -name "*_tests.py" > debian/pybuild.testfiles
+	echo pytest.ini >> debian/pybuild.testfiles
+
+after-pybuild-autopkgtest:
+	rm debian/pybuild.testfiles
+
 override_dh_python3:
 	dh_python3 --shebang=/usr/bin/python3
+	dh_numpy3

## python-bx 0.12.0

=== debian/changelog ===
python-bx (0.12.0-1) unstable; urgency=medium

  * d/rules,d/pybuild.testfiles: cleaner way of handling the test data
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * d/patches/{post-install-testing,pytest8,strlen_missing_include}:
    removed, applied upstream.
  * Forwarded remaining patches upstream
  * d/lintian-overrides: fix mismatched tag
  * d/patches/spelling: fix typos

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 03 Jul 2024 17:31:02 +0200

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                python3-pytest-cython <!nocheck>,
                python3-numpy <!nocheck>,
                cython3
-Standards-Version: 4.7.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/python-bx
 Vcs-Git: https://salsa.debian.org/med-team/python-bx.git
 Homepage: https://github.com/bxlab/bx-python

## python-bx 0.13.0

=== doc/requirements.txt ===
numpy
sphinx
sphinx-rtd-theme

=== debian/changelog ===
python-bx (0.13.0-2) unstable; urgency=medium

  * Team upload.
  * Drop <!nocheck> from python3-numpy in BD. Closes: #1116850.
  * d/control: Add build-dependency on python3-numpy-dev (lintian error).
  * d/control: Drop "Rules-Requires-Root: no", it's the default.
  * d/control: Drop "Priority: optional", it's the default.
  * d/control: Update standards-version.

 -- Santiago Vila <sanvila@debian.org>  Mon, 06 Oct 2025 16:40:00 +0200

python-bx (0.13.0-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 0.13.0 (Closes: #1081624)
  * Refresh patches
  * Add build-depends on python3-pyparsing

 -- Alexandre Detiste <tchet@debian.org>  Sun, 22 Sep 2024 14:14:04 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
            Michael R. Crusoe <crusoe@debian.org>
 Section: python
 Testsuite: autopkgtest-pkg-pybuild
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
                zlib1g-dev,
@@ -12,15 +11,16 @@
                pybuild-plugin-pyproject,
                python3-all-dev:any,
                python3-lzo,
+               python3-pyparsing <!nocheck>,
                python3-pytest <!nocheck>,
                python3-pytest-cython <!nocheck>,
-               python3-numpy <!nocheck>,
+               python3-numpy,
+               python3-numpy-dev,
                cython3
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/python-bx
 Vcs-Git: https://salsa.debian.org/med-team/python-bx.git
 Homepage: https://github.com/bxlab/bx-python
-Rules-Requires-Root: no
 
 Package: python3-bx
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

#DH_VERBOSE = 1
#include /usr/share/dpkg/default.mk

export LC_ALL=C.UTF-8

export NOSE_VERBOSE=2
export PYBUILD_NAME=bx-python
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_clean:
# C files are generated by Cython
	find -name "*.pyx" | sed 's/pyx$$/c/' | xargs $(RM)
	grep -rli "Generated by Cython" lib/ | xargs -r rm
# Changes perpetually redone
	rm -rf lib/bx_python.egg-info

before-pybuild-autopkgtest:
	find lib -name "*_tests.py" >> debian/pybuild.testfiles

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3
	dh_numpy3

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%python-bx-$1.tar.gz%" \
   https://github.com/bxlab/bx-python/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
